> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/stream-endpoints-websockets/events-id-statistics-tennis/response-model.md).

# Response Model

After the WebSockets connection has been made and the connection authorised, you will first receive the initial packet:Field NameTypeDescription

| Field Name   | Type   | Description                                                                           |
| ------------ | ------ | ------------------------------------------------------------------------------------- |
| teamAPlayer1 | string | The name of the first player in the team                                              |
| teamAPlayer2 | string | (Doubles only) The name of the second player in the team . referred to as team A.     |
| teamBPlayer1 | string | The name of the first player in the team referred to as team B.                       |
| teamBPlayer2 | string | (Doubles only) The name of the second player in the team . . . referred to as team B. |

Every subsequent packet will be a Combined Statistics object with the following format:

## Combined Statistics Packet:

| Field Name | Type   | Description                                   |
| ---------- | ------ | --------------------------------------------- |
| match      | object | The overall statistics for the match          |
| set1       | object | The statistics for set 1                      |
| set2       | object | The statistics for set 2 (if set has started) |
| set3       | object | The statistics for set 3 (if set has started) |
| set4       | object | The statistics for set 4 (if set has started) |
| set5       | object | The statistics for set 5 (if set has started) |

Only Grand Slam matches go up to five sets for men and three for women. Usually, the first player to win six games wins a set. Click [here](https://img-arena.gitbook.io/tennis/-M-nnUijRFbIhBBjSfUz/documentation/tennis-scoring-types) for more specific tournament scenarios.

## Statistics Packet

| Field Name | Type   | Description                            |
| ---------- | ------ | -------------------------------------- |
| teamA      | object | The team statistics for team A serving |
| teamB      | object | The team statistics for team B serving |

## Team Statistics Packet

| Field Name         | Type | Description                                           |
| ------------------ | ---- | ----------------------------------------------------- |
| aces               | int  | The number of aces served by the player               |
| totalServes        | int  | The total number of serves by the player              |
| 1stServe           | int  | The total number of successful (non-fault) 1st serves |
| 1stServe%          | int  | The percentage of successful 1st serves               |
| 1stServePointsWon  | int  | The number of points won on a 1st serve               |
| 1stServePointsWon% | int  | The percentage of points won on a 1st serve           |
| 2ndServes          | int  | The total number of successful (non-fault) 2nd serves |
| 2ndServe%":        | int  | The percentage of successful 2nd serves               |
| 2ndServePointsWon  | int  | The number of points won on a 2nd serve               |
| 2ndServePointsWon% | int  | The percentage of points won on a 2nd serve           |
| breakPointsPlayed  | int  | The number of break points against the player’s serve |
| breakPointsSaved   | int  | The number of break points saved                      |
| doubleFaults       | int  | The number of double faults served by the player      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/tennis/stream-endpoints-websockets/events-id-statistics-tennis/response-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
